dim tadrv2 as uinteger

sub mc1000vpokechr(adrv as uinteger,chrv as uinteger,chmadr as uinteger):
  adrv=adrv mod 768
  minivadersldir32b(32768+(adrv mod 32)+((int(adrv/32))*256),chmadr+(chrv*8),8)
  end sub

sub mc1000vpcls(chrv as uinteger,chmadr as uinteger):
  for tadrv2=0 to 767
    for i=0 to 7
      poke 32768+(i*32)+(tadrv2 mod 32)+((int(tadrv2/32))*256),peek(chmadr+(chrv*8)+i)
      next
    next
  end sub

sub mc1000vpprint(adrv1 as uinteger,chmadr2 as uinteger,textv$ as string):
  for tadrv2=0 to len(textv)
    mc1000vpokechr(adrv1+tadrv2,val(textv$(tadrv2)),chmadr2)
    next
  end sub


